Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.servlet
[Java] Class ServletCategory

    java.lang.Object
      groovy.servlet.ServletCategory

    public class ServletCategory

Servlet support.

Method Summary
`static java.lang.Object` | `get(ServletContext context, java.lang.String key)`
`static java.lang.Object` | `get(HttpSession session, java.lang.String key)`
`static java.lang.Object` | `get(ServletRequest request, java.lang.String key)`
`static java.lang.Object` | `get(PageContext context, java.lang.String key)`
`static java.lang.Object` | `getAt(ServletContext context, java.lang.String key)`
`static java.lang.Object` | `getAt(HttpSession session, java.lang.String key)`
`static java.lang.Object` | `getAt(ServletRequest request, java.lang.String key)`
`static java.lang.Object` | `getAt(PageContext context, java.lang.String key)`
`static void` | `putAt(ServletContext context, java.lang.String key, java.lang.Object value)`
`static void` | `putAt(HttpSession session, java.lang.String key, java.lang.Object value)`
`static void` | `putAt(ServletRequest request, java.lang.String key, java.lang.Object value)`
`static void` | `putAt(PageContext context, java.lang.String key, java.lang.Object value)`
`static void` | `set(ServletContext context, java.lang.String key, java.lang.Object value)`
`static void` | `set(HttpSession session, java.lang.String key, java.lang.Object value)`
`static void` | `set(ServletRequest request, java.lang.String key, java.lang.Object value)`
`static void` | `set(PageContext context, java.lang.String key, java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### get

    public static java.lang.Object get(ServletContext context, java.lang.String key)

### get

    public static java.lang.Object get(HttpSession session, java.lang.String key)

### get

    public static java.lang.Object get(ServletRequest request, java.lang.String key)

### get

    public static java.lang.Object get(PageContext context, java.lang.String key)

### getAt

    public static java.lang.Object getAt(ServletContext context, java.lang.String key)

### getAt

    public static java.lang.Object getAt(HttpSession session, java.lang.String key)

### getAt

    public static java.lang.Object getAt(ServletRequest request, java.lang.String key)

### getAt

    public static java.lang.Object getAt(PageContext context, java.lang.String key)

### putAt

    public static void putAt(ServletContext context, java.lang.String key, java.lang.Object value)

### putAt

    public static void putAt(HttpSession session, java.lang.String key, java.lang.Object value)

### putAt

    public static void putAt(ServletRequest request, java.lang.String key, java.lang.Object value)

### putAt

    public static void putAt(PageContext context, java.lang.String key, java.lang.Object value)

### set

    public static void set(ServletContext context, java.lang.String key, java.lang.Object value)

### set

    public static void set(HttpSession session, java.lang.String key, java.lang.Object value)

### set

    public static void set(ServletRequest request, java.lang.String key, java.lang.Object value)

### set

    public static void set(PageContext context, java.lang.String key, java.lang.Object value)

Groovy Documentation